package io.renren.modules.business.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.renren.modules.business.entity.BusinessPlanEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 计划总结信息
 * 
 * @author jiaqiao
 * @email jiaqiao@163.com
 * @date 2022-07-28 16:45:01
 */
@Mapper
public interface BusinessPlanDao extends BaseMapper<BusinessPlanEntity> {

    List<BusinessPlanEntity> selectAll(Map<String, Object> params);

    /**
     * 计划综述通过时间 获取符合条件的list
     */
    List<BusinessPlanEntity> getListByTime(@Param("time") String time);

    /**
     * 获取计划中的已经提交的信息
     * @param params
     */
    List<BusinessPlanEntity> getWZjList(Map<String, Object> params);

    /**
     * 获取已有计划的计划时间（未删除，未提交）getTimeList
     * @return
     */
    List<BusinessPlanEntity> getTimeList();

    /**
     * 根据id获取最新的明日计划信息
     * @param projectId
     * @return
     */
    BusinessPlanEntity getNewInfo(@Param("projectId") String projectId);

    /**
     * 获取滚动信息
     * @param nowTime
     * @return
     */
    List<BusinessPlanEntity> getGdList(@Param("nowTime") String nowTime);

    /**
     * 详情信息  包括关联信息
     * @param planId
     * @return
     */
    BusinessPlanEntity getInfoNew(@Param("planId") Integer planId);
    /**
     * 获取提前计划的数据
     *
     * @return
     */
    List<BusinessPlanEntity> uncommitPlan(Map<String, Object> params);

    /**
     * 根据传入时间获取被分配一天的人id 数据形式 dd:11,22,33  selectPerIds: 22,33,44 有重复id需处理
     * @param time
     * @return
     */
    BusinessPlanEntity getSJList(@Param("time") String time);

    /**
     * 未提交
     * @return
     */
    List<BusinessPlanEntity> getUncommittedList();
}
